> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aflux.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1authregister



## OpenAPI

````yaml https://backend.aflux.ai/openapi post /api/v1/auth/register
openapi: 3.0.3
info:
  title: AdFlux Backend API
  version: v1
servers:
  - url: /
security: []
tags:
  - name: auth
  - name: users
  - name: uploads
  - name: projects
  - name: campaigns
  - name: placements
  - name: billing
  - name: payments
  - name: image-generations
paths:
  /api/v1/auth/register:
    post:
      tags:
        - auth
      operationId: authRegister
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterResponse'
        default:
          $ref: '#/components/responses/DefaultError'
components:
  schemas:
    RegisterRequest:
      type: object
      required:
        - email
        - password
        - displayName
      properties:
        email:
          type: string
        password:
          type: string
        displayName:
          type: string
        referralCode:
          type: string
          nullable: true
    RegisterResponse:
      type: object
      required:
        - userId
        - email
        - displayName
        - emailVerified
        - requiresEmailConfirmation
      properties:
        userId:
          type: string
          format: uuid
        email:
          type: string
        displayName:
          type: string
        emailVerified:
          type: boolean
        requiresEmailConfirmation:
          type: boolean
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    DefaultError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````